Doesn't Work in 3.5x Rated 3 out of 5 stars

Damn. I really liked using this, but the Firefox 3.5x upgrade disables it and prevents it from being reinstalled.

I hope you come up with a 3.5-compatible version soon!